--TEST--
Check for bbcode clone
--SKIPIF--
<?php if (!extension_loaded("bbcode")) print "skip"; ?>
--FILE--
<?php
$obj = new bbcode(
	[
		'' => [
			'type' => BBCODE::TYPE_ROOT,
			'child' => ['ul','url','img','b','i']
		],
		'i' => [
			'type' => BBCODE::TYPE_MULTI
			//TODO: by default open tag = <KEY> and close tag = </KEY>
		],
		'b' => [
			'type' => BBCODE::TYPE_MULTI
		],
		'ul' => [
			'type' => BBCODE::TYPE_MULTI,
			'child' => [ 'li' ]
		],
		'li' => [
			'type' => BBCODE::TYPE_MULTI,
			'parent' => 'ul',
			'child' => ['url','img','b','i']
		],
		'url' => [
			'type' => BBCODE::TYPE_MULTI,
			'parent' => [ '', 'li', 'b', 'i', null, 'toto', 0, 42 ],
			'open' => '<a href="{PARAM}">',
			'close' => '</a>',
			'default' => '{CONTENT}'
		]
	],
	[
		':)' => '<img src="smiley.gif" alt=":)" />',
		':(' => '<img src="sad.gif" alt=":(" />',
		':D' => '<img src="happy.gif" alt=":D" />',
		':p' => '<img src="tong.gif" alt=":p" />',
		':|' => '<img src="special.gif" alt=":|" />',
		':6:' => '<img src="six.gif" alt=":6:" />',
	],
	BBCODE::REMOVE_EMPTY
);
$cln = clone $obj;
echo $cln->parse('[ul][li][url=https://rapsys.eu]Rapsys[/url][/li][li][url=https://google.fr]Google[/url][/li][/ul]');
?>
--EXPECT--
[ul][li][url=https://rapsys.eu]Rapsys[/url][/li][li][url=https://google.fr]Google[/url][/li][/ul]
